## percona-server-mongodb 8.0.12

=== SConstruct ===
# -*- mode: python; -*-

import atexit
import copy
import errno
import functools
import json
import os
import re
import pathlib
import platform
import shlex
import shutil
import stat
import subprocess
import sys
import textwrap
import threading
import time
import uuid
from datetime import datetime
from glob import glob

from pkg_resources import parse_version

import SCons
import SCons.Script
from site_scons.mongo import build_profiles

# This must be first, even before EnsureSConsVersion, if
# we are to avoid bulk loading all tools in the DefaultEnvironment.
DefaultEnvironment(tools=[])

# These come from site_scons/mongo. Import these things
# after calling DefaultEnvironment, for the sake of paranoia.
import mongo
import mongo.platform as mongo_platform
import mongo.toolchain as mongo_toolchain
import mongo.generators as mongo_generators
import mongo.install_actions as install_actions

EnsurePythonVersion(3, 10)
EnsureSConsVersion(4, 9, 1)

utc_starttime = datetime.utcnow()


# Monkey patch SCons.FS.File.release_target_info to be a no-op.
# See https://github.com/SCons/scons/issues/3454
def release_target_info_noop(self):
    pass


SCons.Node.FS.File.release_target_info = release_target_info_noop

from buildscripts import utils
from buildscripts import moduleconfig
import psutil

scons_invocation = '{} {}'.format(sys.executable, ' '.join(sys.argv))
print('scons: running with args {}'.format(scons_invocation))

atexit.register(mongo.print_build_failures)

# An extra instance of the SCons parser is used to manually validate options
# flags. We use it detect some common misspellings/unknown options and
# communicate with the user more effectively than just allowing Configure to
# fail.
# This is to work around issue #4187
# (https://github.com/SCons/scons/issues/4187). Upon a future upgrade to SCons
# that incorporates #4187, we should replace this solution with that.
_parser = SCons.Script.SConsOptions.Parser("")


def add_option(name, **kwargs):
    _parser.add_option('--' + name, **{"default": None, **kwargs})

    if 'dest' not in kwargs:
        kwargs['dest'] = name

    if 'metavar' not in kwargs and kwargs.get('type', None) == 'choice':
        kwargs['metavar'] = '[' + '|'.join(kwargs['choices']) + ']'

    AddOption('--' + name, **kwargs)


def get_option(name):
    return GetOption(name)


def has_option(name):
    optval = GetOption(name)
    # Options with nargs=0 are true when their value is the empty tuple. Otherwise,
    # if the value is falsish (empty string, None, etc.), coerce to False.
    return True if optval == () else bool(optval)

# Returns true if a given option is set or if the 'full-featured' option is set.
def has_feature_option(name):
    return has_option(name) or has_option('full-featured')

def use_system_version_of_library(name):
    return has_option('use-system-all') or has_option('use-system-' + name)


# Returns true if we have been configured to use a system version of any C++ library. If you
# add a new C++ library dependency that may be shimmed out to the system, add it to the below
# list.
def using_system_version_of_cxx_libraries():
    cxx_library_names = ["tcmalloc-google", "boost", "tcmalloc-gperf"]
    return True in [use_system_version_of_library(x) for x in cxx_library_names]


def make_variant_dir_generator():
    memoized_variant_dir = [False]

    def generate_variant_dir(target, source, env, for_signature):
        if not memoized_variant_dir[0]:
            memoized_variant_dir[0] = env.subst('$BUILD_ROOT/$VARIANT_DIR')
        return memoized_variant_dir[0]

    return generate_variant_dir


# Always randomize the build order to shake out missing edges, and to help the cache:
# http://scons.org/doc/production/HTML/scons-user/ch24s06.html
SetOption('random', 1)

# Options TODOs:
#
# - We should either alphabetize the entire list of options, or split them into logical groups
#   with clear boundaries, and then alphabetize the groups. There is no way in SCons though to
#   inform it of options groups.
#
# - Many of these options are currently only either present or absent. This is not good for
#   scripting the build invocation because it means you need to interpolate in the presence of
#   the whole option. It is better to make all options take an optional on/off or true/false
#   using the nargs='const' mechanism.
#

add_option(
    'build-profile',
    choices=[type for type in build_profiles.BuildProfileType],
    default=build_profiles.BuildProfileType.DEFAULT,
    type='choice',
    help='''Short hand for common build configurations. These profiles are well supported by the build
    and are kept up to date. The 'default' profile should be used unless you have the required
    prerequisites in place to use the other profiles, i.e. having the mongodbtoolchain installed
    and being connected to an icecream cluster. For mongodb developers, it is recommended to use
    the 'san' (sanitizer) profile to identify bugs as soon as possible. Check out
    site_scons/mongo/build_profiles.py to see each profile.''',
)

build_profile = build_profiles.get_build_profile(get_option('build-profile'))

add_option(
    'ninja',
    choices=['enabled', 'disabled'],
    default=build_profile.ninja,
    nargs='?',
    const='enabled',
    type='choice',
    help='Enable the build.ninja generator tool stable or canary version',
)

add_option(
    'force-jobs',
    help='Allow more jobs than available cpu\'s when icecream is not enabled.',
    nargs=0,
)

add_option(
    'build-tools',
    choices=['stable', 'next'],
    default='stable',
    type='choice',
    help='Enable experimental build tools',
)

add_option(
    'legacy-tarball',
    choices=['true', 'false'],
    default='false',
    const='true',
    nargs='?',
    type='choice',
    help='Build a tarball matching the old MongoDB dist targets',
)

add_option(
    'lint-scope',
    choices=['all', 'changed'],
    default='all',
    type='choice',
    help='Lint files in the current git diff instead of all files',
)

add_option(
    'install-mode',
    choices=['hygienic'],
    default='hygienic',
    help='select type of installation',
    nargs=1,
    type='choice',
)

add_option(
    'install-action',
    choices=([*install_actions.available_actions] + ['default']),
    default='hardlink',
    help=
    'select mechanism to use to install files (advanced option to reduce disk IO and utilization)',
    nargs=1,
    type='choice',
)

add_option(
    'build-dir',
    default='#build',
    help='build output directory',
)

add_option(
    'release',
    choices=['on', 'off'],
    const='on',
    default=build_profile.release,
    help='release build',
    nargs='?',
    type='choice',
)

add_option(
    'lto',
    help='enable link time optimizations (experimental, except with MSVC)',
    nargs=0,
)

add_option(
    'endian',
    choices=['big', 'little', 'auto'],
    default='auto',
    help='endianness of target platform',
    nargs=1,
    type='choice',
)

add_option(
    'disable-minimum-compiler-version-enforcement',
    help='allow use of unsupported older compilers (NEVER for production builds)',
    nargs=0,
)

add_option(
    'ssl',
    help='Enable or Disable SSL',
    choices=['on', 'off'],
    default='on',
    const='on',
    nargs='?',
    type='choice',
)

add_option(
    'wiredtiger',
    choices=['on', 'off'],
    const='on',
    default='on',
    help='Enable wiredtiger',
    nargs='?',
    type='choice',
)

add_option(
    'inmemory',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable InMemory',
    nargs='?',
    type='choice',
)

add_option(
    'audit',
    help='Enable auditing',
    nargs=0,
)

add_option(
    'hotbackup',
    help='Enable Hot Backup',
    nargs=0,
)

add_option(
    'enable-fipsmode',
    help='Enable tls.FIPSMode configuration option',
    nargs=0,
)

add_option(
    'enable-fcbis',
    help='Enable file copy-based initial sync',
    nargs=0,
)

add_option(
    'enable-oidc',
    help='Enable OpenID Connect authentication support',
    nargs=0,
)

add_option(
    'full-featured',
    help='Enable all optional features',
    nargs=0,
)

add_option(
    'ocsp-stapling',
    choices=['on', 'off'],
    default='on',
    help='Enable OCSP Stapling on servers',
    nargs='?',
    type='choice',
)

js_engine_choices = ['mozjs', 'none']
add_option(
    'js-engine',
    choices=js_engine_choices,
    default=js_engine_choices[0],
    help='JavaScript scripting engine implementation',
    type='choice',
)

add_option(
    'server-js',
    choices=['on', 'off'],
    default='on',
    help='Build mongod without JavaScript support',
    type='choice',
)

add_option(
    'libc++',
    help='use libc++ (experimental, requires clang)',
    nargs=0,
)

add_option(
    'use-glibcxx-debug',
    help='Enable the glibc++ debug implementations of the C++ standard libary',
    nargs=0,
)

add_option(
    'noshell',
    help="don't build shell",
    nargs=0,
)

add_option(
    'dbg',
    choices=['on', 'off'],
    const='on',
    default=build_profile.dbg,
    help='Enable runtime debugging checks',
    nargs='?',
    type='choice',
)

add_option(
    'disable-ref-track',
    help="Disables runtime tracking of REF state changes for pages within wiredtiger. "
    "Tracking the REF state changes is useful for debugging but there is a small performance cost.",
    nargs=0,
)

add_option(
    'separate-debug',
    choices=['on', 'off'],
    const='on',
    default="off",
    help='Produce separate debug files',
    nargs='?',
    type='choice',
)

add_option(
    'spider-monkey-dbg',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable SpiderMonkey debug mode',
    nargs='?',
    type='choice',
)

add_option(
    'opt',
    choices=['on', 'debug', 'size', 'off', 'auto'],
    const='on',
    default=build_profile.opt,
    help='Enable compile-time optimization',
    nargs='?',
    type='choice',
)

experimental_optimizations = [
    'O3',
    'builtin-memcmp',
    'fnsi',
    'nofp',
    'nordyn',
    'sandybridge',
    'tbaa',
    'treevec',
    'vishidden',
]
experimental_optimization_choices = ['*']
experimental_optimization_choices.extend("+" + opt for opt in experimental_optimizations)
experimental_optimization_choices.extend("-" + opt for opt in experimental_optimizations)

add_option(
    'experimental-optimization',
    action="append",
    choices=experimental_optimization_choices,
    const=experimental_optimization_choices[0],
    default=['+sandybridge'],
    help='Enable experimental optimizations',
    nargs='?',
    type='choice',
)

add_option(
    'debug-compress',
    action="append",
    choices=["off", "as", "ld"],
    default=["auto"],
    help="Compress debug sections",
)

add_option(
    'sanitize',
    help='enable selected sanitizers',
    metavar='san1,san2,...sanN',
    default=build_profile.sanitize,
)

add_option(
    'sanitize-coverage',
    help='enable selected coverage sanitizers',
    metavar='cov1,cov2,...covN',
)

add_option(
    'shared-libsan',
    choices=['on', 'off'],
    default='off',
    nargs='?',
    const='on',
    help='dynamically link to sanitizer runtime(s)',
    type='choice',
)

add_option(
    'allocator',
    choices=["auto", "system", "tcmalloc-google", "tcmalloc-gperf"],
    default=build_profile.allocator,
    help='allocator to use (use "auto" for best choice for current platform)',
    type='choice',
)

add_option(
    'gdbserver',
    help='build in gdb server support',
    nargs=0,
)

add_option(
    'lldb-server',
    help='build in lldb server support',
    nargs=0,
)

add_option(
    'wait-for-debugger',
    help='Wait for debugger attach on process startup',
    nargs=0,
)

add_option(
    'gcov',
    help='compile with flags for gcov',
    nargs=0,
)

add_option(
    'enable-http-client',
    choices=["auto", "on", "off"],
    default="auto",
    help='Enable support for HTTP client requests (required WinHTTP or cURL)',
    type='choice',
)

=== debian/changelog ===
percona-server-mongodb (8.0.12-4) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 8.0.12

 -- root <root@f6fffb661fd2>  Tue, 05 Aug 2025 13:52:21 +0000

=== debian/control ===
Source: percona-server-mongodb
Maintainer: Percona Development Team <opensource-dev@percona.com>
Section: database
Priority: extra
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev,  libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev, liblzma-dev


Package: percona-server-mongodb
Provides: mongodb-org, mongodb-enterprise
Architecture: any
Breaks: percona-server-mongodb (< 4.4.0), percona-server-mongodb-32, percona-server-mongodb-34, percona-server-mongodb-36, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-mongos (= ${source:Version}), percona-mongodb-mongosh, percona-server-mongodb-server (= ${source:Version}), percona-server-mongodb-tools (= ${source:Version}), libsasl2-modules-gssapi-mit
Conflicts: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Replaces: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Description: This metapackage will install the mongo shell, import/export tools, other client utilities, server software, default configuration, and init.d scripts.
 This package contains high-performance MongoDB replacement from Percona - Percona Server for MongoDB.
 Percona Server for MongoDB is built for scalability, performance and high availability, scaling from single server deployments to large, complex multi-site architectures.
 By leveraging in-memory computing, Percona Server for MongoDB provides high performance for both reads and writes.
 Percona Server for MongoDB's native replication and automated failover enable enterprise-grade reliability and operational flexibility.
 .
 Percona Server for MongoDB is an open-source database used by companies of all sizes, across all industries and for a wide variety of applications.
 It is an agile database that allows schemas to change quickly as applications evolve, while still providing the functionality developers expect from traditional databases,
 such as secondary indexes, a full query language and strict consistency.
 .
 Percona Server for MongoDB has a rich client ecosystem including hadoop integration, officially supported drivers for 10 programming languages and environments, as well as 40 drivers supported by the user community.
 .
 Percona Server for MongoDB features:
 * JSON Data Model with Dynamic Schemas
 * Auto-Sharding for Horizontal Scalability
 * Built-In Replication for High Availability
 * Rich Secondary Indexes, including geospatial
 * TTL indexes
 * Text Search
 * Aggregation Framework & Native MapReduce

Package: percona-server-mongodb-mongos
Provides: mongodb-org-mongos, mongodb-enterprise-mongos
Architecture: any
Breaks: percona-server-mongodb-mongos (< 4.4.0), percona-server-mongodb-32-mongos, percona-server-mongodb-34-mongos, percona-server-mongodb-36-mongos, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-telemetry-agent
Conflicts: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Replaces: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Description: This package contains mongos - the Percona Server for MongoDB sharded cluster query router
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-server
Provides: mongodb-org-server, mongodb-enterprise-server
Architecture: any
Breaks: percona-server-mongodb-server (< 4.4.0), percona-server-mongodb-32-server, percona-server-mongodb-34-server, percona-server-mongodb-36-server, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-mongodb-mongosh, curl,  percona-telemetry-agent
Conflicts: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Replaces: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Description: This package contains the Percona Server for MongoDB server software, default configuration files and init.d scripts
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-shell
Provides: mongodb-org-shell, mongodb-enterprise-shell
Architecture: any
Breaks: percona-server-mongodb-shell (< 4.4.0), percona-server-mongodb-32-shell, percona-server-mongodb-34-shell, percona-server-mongodb-36-shell, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongod-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package contains the Percona Server for MongoDB shell
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona


Package: percona-server-mongodb-tools
Provides: mongodb-org-tools, mongodb-enterprise-tools
Architecture: any
Breaks: percona-server-mongodb-tools (< 4.4.0), percona-server-mongodb-32-tools, percona-server-mongodb-34-tools, percona-server-mongodb-36-tools, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mongo tools for high-performance MongoDB fork from Percona
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-dbg
Architecture: any
Breaks: percona-server-mongodb-dbg(< 4.4.0), percona-server-mongodb-32-dbg, percona-server-mongodb-34-dbg, percona-server-mongodb-36-dbg
Section: debug
Depends: percona-server-mongodb (= ${binary:Version}), ${misc:Depends}
Conflicts: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Replaces: percona-server-mongodb-pro, percona-server-mongodb-mongos-pro, percona-server-mongodb-server-pro, percona-server-mongodb-pro-dbg
Description: Debugging package for Percona Server for MongoDB
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

=== debian/rules ===
#!/usr/bin/make -f
#
export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export NJOBS=$(shell grep -c processor /proc/cpuinfo)
export PSM_TARGETS=install-mongod install-mongos install-mongo install-perconadecrypt build/install/bin/mongobridge
export PSMSRC=$(CURDIR)
export MONGOTOOLS=bsondump mongostat mongofiles mongoexport mongoimport mongorestore mongodump mongotop
export INSTALLDIR=/usr/local
export TOOLS_TAGS=ssl sasl
export PORTABLE=1
export USE_SSE=1
export PATH := /usr/local/go/bin:$(PATH)
export FIPSMODE=0
export OPT_LINKFLAGS="${LINKFLAGS} -Wl,--build-id=sha1 -B/opt/mongodbtoolchain/v4/bin"
$(info GLIBC_TUNABLES is $(GLIBC_TUNABLES))
CC = /opt/mongodbtoolchain/v4/bin/gcc
CXX = /opt/mongodbtoolchain/v4/bin/g++
#
%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(PSMSRC)/bin
	#rm -fr $(INSTALLDIR)
ifeq ($(FIPSMODE),1)
		buildscripts/scons.py CC=$(CC) CXX=$(CXX) -C $(PSMSRC) -c --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt -j$(NJOBS) --use-sasl-client CPPPATH=$(INSTALLDIR)/include \
		--enable-fipsmode \
		LIBPATH=$(INSTALLDIR)/lib LINKFLAGS=$(OPT_LINKFLAGS) --wiredtiger --inmemory --hotbackup $(PSM_TARGETS) || exit $?
else
		buildscripts/scons.py CC=$(CC) CXX=$(CXX) -C $(PSMSRC) -c --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt -j$(NJOBS) --use-sasl-client CPPPATH=$(INSTALLDIR)/include \
		LIBPATH=$(INSTALLDIR)/lib LINKFLAGS=$(OPT_LINKFLAGS) --wiredtiger --inmemory --hotbackup $(PSM_TARGETS) || exit $?
endif
	rm -fr build resmoke.ini
	find $(PSMSRC) -name '*.pyc' -delete

# Finally PSMDB
percona-server-mongodb:
ifeq ($(FIPSMODE),1)
		buildscripts/scons.py CC=${CC} CXX=${CXX} --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt=on -j$(NJOBS) \
		--enable-fipsmode \
		--use-sasl-client --wiredtiger --inmemory --hotbackup \
		CPPPATH=${INSTALLDIR}/include LIBPATH=${INSTALLDIR}/lib LINKFLAGS=${OPT_LINKFLAGS} ${PSM_TARGETS} || exit $?
else
		buildscripts/scons.py CC=${CC} CXX=${CXX} --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt=on -j$(NJOBS) \
		--use-sasl-client --wiredtiger --inmemory --hotbackup \
		CPPPATH=${INSTALLDIR}/include LIBPATH=${INSTALLDIR}/lib LINKFLAGS=${OPT_LINKFLAGS} ${PSM_TARGETS} || exit $?
endif

compile-mongo-tools:
	mkdir $(PSMSRC)/bin || true;
	mkdir -p $(PSMSRC)/../src/github.com/mongodb;
	cp -r $(PSMSRC)/mongo-tools $(PSMSRC)/../src/github.com/mongodb;
	export GOROOT="/usr/local/go/"; \
        export GOPATH=$(PSMSRC)/../; \
        export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
        export GOBINPATH="/usr/local/go/bin"
	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
        sed -i '14d' buildscript/build.go; \
        sed -i '199,207d' buildscript/build.go; \
        sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
        sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
        ./make build;
	cp -av $(PSMSRC)/../src/github.com/mongodb/mongo-tools/bin/* $(PSMSRC)/bin; \
        cd $(PSMSRC);

build: percona-server-mongodb compile-mongo-tools

override_dh_auto_install:
	dh_auto_install
	cp -av build/install/bin/mongos debian/percona-server-mongodb-mongos/usr/bin/mongos
	cp -av build/install/bin/mongo debian/percona-server-mongodb-shell/usr/bin/mongo
	cp -av build/install/bin/mongod debian/percona-server-mongodb-server/usr/bin/mongod
	cp -av build/install/bin/perconadecrypt debian/percona-server-mongodb-server/usr/bin
	cp -av build/install/bin/mongobridge debian/percona-server-mongodb-server/usr/bin/mongobridge
	cp -av debian/percona-server-mongodb-helper.sh debian/percona-server-mongodb-server/usr/bin
	cp -av debian/percona-server-mongodb-enable-auth.sh debian/percona-server-mongodb-server/usr/bin
	cp -av debian/mongod.conf debian/percona-server-mongodb-server/etc/mongod.conf
	cp -av $(PSMSRC)/bin/* debian/percona-server-mongodb-tools/usr/bin

override_dh_strip:
	dh_strip -a --dbg-package=percona-server-mongodb-dbg

override_dh_installinit:
	dh_installinit -a --name=mongod

override_dh_systemd_enable:
	dh_systemd_enable --name=mongod

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade
